function [r,theta] = malladesp(d,y1,h,ah,ancho,alto,delta,angulofuente)

% y1: desplazamiento lateral
% ah: altura

mAncho=ancho/2;
mAlto=alto/2;
angulo=90-angulofuente;

y2=-mAncho:delta:mAncho;
z=-mAlto:delta:mAlto;
z=z+h;
z=fliplr(z);

sy=(size(y2,2));
sz=(size(z,2));

r=zeros(sz,sy);
theta=zeros(sz,sy);
rfuente=sqrt((d^2)+(y1^2)+((d+tand(angulo)-ah)^2));

for a=1:sz
    CordZ=z(1,a);
    for b=1:sy
        CordY=y2(1,b);
        r(a,b)=sqrt((d^2)+((CordY-y1)^2)+((CordZ-ah)^2));
        theta(a,b)=abs(acosd(((d^2)+(CordZ-ah)*(d+tand(angulo)-ah)+y1*(CordY-y1))/(rfuente*(r(a,b)))));
    end
end

end